Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class BorderItemSelectionEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.BorderItemSelectionEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

public class BorderItemSelectionEditPolicy
extends NonResizableEditPolicyEx

Edit policy to restrict border item movement.

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`BorderItemSelectionEditPolicy()`

Method Summary
`void` `eraseSourceFeedback(Request request)`
`protected Command` `getAlignCommand(AlignmentRequest request)` Return `null` to avoid handling the request.
`protected Command` `getMoveCommand(ChangeBoundsRequest request)` Returns the command contribution to a change bounds request.
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request.
`void` `showSourceFeedback(Request request)` Calls other methods as appropriate.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.NonResizableEditPolicyEx
`addSelectionHandles, getTargetEditPart, replaceHandleDragEditPartsTracker`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`createDragSourceFeedbackFigure, createSelectionHandles, deactivate, eraseChangeBoundsFeedback, getCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`getAdapter, hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BorderItemSelectionEditPolicy

    public BorderItemSelectionEditPolicy()

Method Detail

### eraseSourceFeedback

    public void eraseSourceFeedback(Request request)

  Specified by:
    `eraseSourceFeedback` in interface `EditPolicy`
  Overrides:
    `eraseSourceFeedback` in class `NonResizableEditPolicyEx`
  See Also:
    `EditPolicy.eraseSourceFeedback(org.eclipse.gef.Request)`

### showSourceFeedback

    public void showSourceFeedback(Request request)

  Calls other methods as appropriate.

  Specified by:
    `showSourceFeedback` in interface `EditPolicy`
  Overrides:
    `showSourceFeedback` in class `NonResizableEditPolicyEx`
  See Also:
    `EditPolicy.showSourceFeedback(org.eclipse.gef.Request)`

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Shows or updates feedback for a change bounds request.

  Overrides:
    `showChangeBoundsFeedback` in class `NonResizableEditPolicyEx`
  Parameters:
    `request` - the request

### getMoveCommand

    protected Command getMoveCommand(ChangeBoundsRequest request)

  Returns the command contribution to a change bounds request.

  Parameters:
    `request` - the change bounds requesgt
  Returns:
    the command contribution to the request

### getAlignCommand

    protected Command getAlignCommand(AlignmentRequest request)

  Return `null` to avoid handling the request.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.